Skip to main content
PATCH
/
api
/
v1
/
cards-program
/
cards
/
:cardId
/
status
curl --location --request PATCH 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d/status' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "status": "locked"
}'
{
  "success": true,
  "cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
  "status": "locked"
}

Params

cardId
string
required
The unique card identifier

Body

status
string
required
Desired card status: active (unlock) or locked

Response

success
boolean
Indicates whether the call was successful
cardId
string
The unique card identifier
status
string
Updated card status
curl --location --request PATCH 'https://stablecoin-api.sandbox.getmeru.com/api/v1/cards-program/cards/7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d/status' \
--header 'Content-Type: application/json' \
--header 'api-key: <api-key>' \
--data-raw '{
    "status": "locked"
}'
{
  "success": true,
  "cardId": "7a8b9c0d-1e2f-3a4b-5c6d-7e8f9a0b1c2d",
  "status": "locked"
}

Error Responses

{
  "success": false,
  "error": "Unauthorized. Please check your authentication credentials."
}

Use Cases

Locking a card is useful when:
  • The cardholder reports the card as lost or stolen
  • Suspicious activity is detected
  • The cardholder wants to temporarily disable the card
Unlocking a card restores normal functionality after it has been locked.